Bug 473313 - snd_hda_intel requires extra an parameter/quirk on MacBooks
snd_hda_intel requires extra an parameter/quirk on MacBooks
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-27 11:39 EST by Stewart Adam
Modified: 2009-03-25 23:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-25 23:39:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stewart Adam 2008-11-27 11:39:43 EST
Description of problem:
On "Santa Rosa" MacBook and MacBook Pros and newer, the soundcard is disabled until model=mp3 is used when loading snd_hda_intel.

Version-Release number of selected component (if applicable):
kernel-2.6.27.5-117.fc10.x86_64
kudzu-1.2.85-1.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Install F10 on MacBook or MacBook Pro
  
Actual results:
Soundcard won't function until the "options snd_hda_intel model=mbp3" is added to /etc/modprobe.d/snd_hda_intel.

Expected results:
"options snd_hda_intel model=mbp3" should be added to /etc/modprobe.d/snd_hda_intel at install time

Additional info:
Comment 1 Stewart Adam 2009-02-09 16:40:50 EST
Any updates on this issue? It would be great if this was done automatically in F11.
Comment 2 Stewart Adam 2009-03-25 23:39:50 EDT
Works as expected now on rawhide (tested with Fedora Test Day 2009-03-25 Live CD)

Note You need to log in before you can comment on or make changes to this bug.